Package org.apache.batchee.container.util

## Class BatchPartitionWorkUnit

- java.lang.Object
- - org.apache.batchee.container.util.BatchWorkUnit
  - - org.apache.batchee.container.util.BatchParallelWorkUnit
    - - org.apache.batchee.container.util.BatchPartitionWorkUnit

- All Implemented Interfaces:
    `Runnable`

      public class BatchPartitionWorkUnit
      extends BatchParallelWorkUnit

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BlockingQueue<BatchPartitionWorkUnit>` | `completedThreadQueue` |

    - ### Fields inherited from class org.apache.batchee.container.util.BatchWorkUnit

      `batchKernel, controller, jobExecutionImpl, notifyCallbackWhenDone`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchPartitionWorkUnit​(RuntimeJobExecution jobExecution, PartitionsBuilderConfig config, ServicesManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `inheritStepContext​(StepContextImpl sc)` |
    `protected void` | `markThreadCompleted()` |

    - ### Methods inherited from class org.apache.batchee.container.util.BatchWorkUnit

      `getBatchKernel, getBatchStatus, getController, getExitStatus, getJobExecutionImpl, isNotifyCallbackWhenDone, run, setBatchKernel, setJobExecutionImpl, setNotifyCallbackWhenDone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### completedThreadQueue

          protected final BlockingQueue<BatchPartitionWorkUnit> completedThreadQueue

  - ### Constructor Detail

    - #### BatchPartitionWorkUnit

          public BatchPartitionWorkUnit​(RuntimeJobExecution jobExecution,
                                        PartitionsBuilderConfig config,
                                        ServicesManager manager)

  - ### Method Detail

    - #### markThreadCompleted

          protected void markThreadCompleted()

      Overrides:
        `markThreadCompleted` in class `BatchWorkUnit`

    - #### inheritStepContext

          public void inheritStepContext​(StepContextImpl sc)